apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  creationTimestamp: '2018-09-07T05:53:10Z'
  generation: 2
  labels:
    synchronousId: '1'
  name: ee-defaults
  namespace: tremes
  resourceVersion: '522718'
  selfLink: /apis/apps.openshift.io/v1/namespaces/tremes/deploymentconfigs/ee-defaults
  uid: 4cefd19a-b262-11e8-927c-525400ed540c
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    name: ee-defaults
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        name: ee-defaults
        synchronousId: '1'
      name: ee-defaults
    spec:
      containers:
        - env:
            - name: JBAMQ_PROTOCOL
              value: tcp
            - name: JBAMQ_USERNAME
              value: mqUser
            - name: MQ_SERVICE_PREFIX_MAPPING
              value: jbamq-amq7=JBAMQ
            - name: DB_SERVICE_PREFIX_MAPPING
              value: testdb-postgresql=TESTDB_POSTGRESQL
            - name: JBAMQ_QUEUES
              value: 'queue1,queue2'
            - name: JBAMQ_PASSWORD
              value: mqPassword
            - name: TESTDB_POSTGRESQL_PASSWORD
              value: testpwd
            - name: JBAMQ_TOPICS
            - name: TESTDB_POSTGRESQL_DATABASE
              value: testdb
            - name: TESTDB_POSTGRESQL_USERNAME
              value: testuser
          image: >-
            docker-registry.default.svc:5000/xpaasqe-builds/ee-defaults-amq7-eap-cd@sha256:f976bb370bf21e4426aed10d2a2778bfc9673e2cb8acd0c77f43f3cd750126b6
          imagePullPolicy: Always
          livenessProbe:
            exec:
              command:
                - /bin/bash
                - '-c'
                - /opt/eap/bin/livenessProbe.sh
            failureThreshold: 3
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: ee-defaults
          ports:
            - containerPort: 8080
              protocol: TCP
          readinessProbe:
            exec:
              command:
                - /bin/bash
                - '-c'
                - /opt/eap/bin/readinessProbe.sh
            failureThreshold: 3
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
  test: false
  triggers:
    - imageChangeParams:
        automatic: true
        containerNames:
          - ee-defaults
        from:
          kind: ImageStreamTag
          name: 'ee-defaults-amq7-eap-cd:latest'
          namespace: xpaasqe-builds
        lastTriggeredImage: >-
          docker-registry.default.svc:5000/xpaasqe-builds/ee-defaults-amq7-eap-cd@sha256:f976bb370bf21e4426aed10d2a2778bfc9673e2cb8acd0c77f43f3cd750126b6
      type: ImageChange
    - type: ConfigChange
status:
  availableReplicas: 1
  conditions:
    - lastTransitionTime: '2018-09-07T05:53:56Z'
      lastUpdateTime: '2018-09-07T05:53:56Z'
      message: Deployment config has minimum availability.
      status: 'True'
      type: Available
    - lastTransitionTime: '2018-09-07T05:53:17Z'
      lastUpdateTime: '2018-09-07T05:53:56Z'
      message: replication controller "ee-defaults-1" successfully rolled out
      reason: NewReplicationControllerAvailable
      status: 'True'
      type: Progressing
  details:
    causes:
      - type: ConfigChange
    message: config change
  latestVersion: 1
  observedGeneration: 2
  readyReplicas: 1
  replicas: 1
  unavailableReplicas: 0
  updatedReplicas: 1

